.if !defined(PLESK_COMMON_MK)
PLESK_COMMON_MK= 1

OWN_SITE=http://www.swsoft.com

SW_CATEGORY= swsoft
VALID_CATEGORIES+= ${SW_CATEGORY} 

TOOLS_DIR=${LOCALBASE}/sbin
PKG_DEINSTALL?=${TOOLS_DIR}/pkg_deinstall
PORTUPGRADE?=${TOOLS_DIR}/portupgrade

PACKAGE_INSTALLDIR?= ${LOCALBASE}
SW_WRKDIR= ${PORTSDIR}/${SW_CATEGORY}/work
PKG_DB_DIR?= /var/db/pkg

.if ${MASTERDIR} != ${.CURDIR}
PKGORIGIN= ${MASTER_PORT}
.endif

PKGTOOLS_CONF?= ${LOCALBASE}/etc/pkgtools.conf.swsoft
LOG_FILE=/tmp/portupgrade-%s::%s.log

PRE_DEPENDS_LIST_FILE= ${SW_WRKDIR}/.pre_depends_list.${PORTNAME}
DEPENDS_LIST_FILE= ${SW_WRKDIR}/.depends_list.${PORTNAME}

INSTALL_FILE=${WRKDIR}/.install.${PORTNAME}
INSTALLED_FILE=${SW_WRKDIR}/.installed.${PORTNAME}
CHECKED_FILE=${WRKDIR}/.checked.${PORTNAME}

SELF_ORIGIN!= echo ${.CURDIR} | sed -e 's|${PORTSDIR}/||g'

.if !defined(FETCHDIR)
FETCHDIR= ${DISTDIR}
.endif

PORTUPGRADE_FLAGS= -O -N -w -W -L ${LOG_FILE} 

.if defined(VERBOSE) || defined(PLESK_INSTALLER_DEBUG)
VERBOSE_FLAG=1
PORTUPGRADE_FLAGS+= --verbose
.else
VERBOSE_FLAG=
.endif

_PRE_DEPENDS=
_PRE_CONFLICTS=

SED_ENV+= \
	-e 's|%D|${PACKAGE_INSTALLDIR}|g' \
	-e 's|^\@exec \(.*\)|\"\1\"|g'

.endif # PLESK_OPTIONS_MK
